<?php
    $query_mappings =  array(
        "404 Errors" => '((status:404 OR message:"HTTP/1.1\\" 404" OR message:"HTTP/1.0\\" 404") AND (type:apache_access OR source:/var/log/apache2/* OR source:/var/log/httpd/*)) OR ((sc-status:404 OR message:"GET * 404 0") AND (type:iis OR source:/var/log/iis/*))',
        "500 Errors" => '((status:[500 TO 505] OR message:"HTTP/1.1\\" 500" OR message:"HTTP/1.0\\" 500" OR message:"Internal Server Error" OR message:"HTTP/1.1\\" 501" OR message:"HTTP/1.0\\" 501" OR message:"Not Implemented" OR message:"HTTP/1.1\\" 502" OR message:"HTTP/1.0\\" 502" OR message:"Bad Gateway" OR message:"HTTP/1.1\\" 503" OR message:"HTTP/1.0\\" 503" OR message:"Service Unavailable" OR message:"HTTP/1.1\\" 504" OR message:"HTTP/1.0\\" 504" OR message:"Gateway Timeout" OR message:"HTTP/1.1\\" 505" OR message:"HTTP/1.0\\" 505" OR message:"HTTP Version Not Supported") AND (type:apache_access OR source:/var/log/apache2/* OR source:/var/log/httpd/*)) OR ((sc-status:[500 TO 505] OR message:"GET * 500 0" OR message:"GET * 501 0" OR message:"GET * 502 0" OR message:"GET * 503 0" OR message:"GET * 504 0" OR message:"GET * 505 0") AND (type:iis OR source:/var/log/iis/*))',
        "SSH Errors" => '(program:sshd AND ((message:"Failed password" OR message:"Invalid user" OR message:"Received disconnect from" OR message:"Connection closed by authenticating user" OR message:"refused connect from" OR message:"Unable to negotiate with" OR message:"fatal: no matching cipher found" OR message:"Disconnected from" OR message:"Received disconnect" OR message:"authentication failure" OR message:"permission denied" OR message:"connection timeout" OR message:"Connection timed out") AND NOT (message:"successful login" OR message:"Connection established" OR message:"Authenticated successfully"))) OR program:sshd',
        "AD Errors" => '((EventID:1311 AND (message:"Replication Topology Problems" OR message:"Fixing Replication Topology Problems")) OR (EventID:1388 AND (message:"lingering object" OR message:"A lingering object is detected")) OR (EventID:1988 AND (message:"lingering object" OR message:"A lingering object is detected")) OR (EventID:2042 AND message:"It has been too long since this machine replicated") OR (EventID:1925 AND (message:"Attempt to establish a replication link failed" OR message:"DNS lookup problem")) OR (EventID:2087 AND message:"DNS lookup failure") OR (EventID:2108 AND message:"Database inconsistency during inbound replication") OR (EventID:1084) OR (EventID:4935 AND message:"Replication failure begins")) AND type:eventlog',
        "Account Lockout" => '(EventID:4740 AND (EventType:AUDIT_SUCCESS OR EventType:AUDIT_FAILURE)) OR (message:"locked out" AND type:eventlog)',
        "Password Change" => '((EventID:4723 AND (EventType:AUDIT_SUCCESS OR EventType:AUDIT_FAILURE)) OR (EventID:4724 AND (EventType:AUDIT_SUCCESS OR EventType:AUDIT_FAILURE)) OR ((EventID:4723 AND message:"change") OR (EventID:4724 AND message:"reset")) OR message:"change an account\'s password" OR message:"reset an account\'s password") AND type:eventlog',
        "Logon Failure" => '((EventID:4625 OR message:"account failed to log on") AND (type:eventlog))',
        "Sendmail" => '((message:"sendmail: refused mail" OR message:"sendmail: alias database*" OR message:"sendmail: stat=Deferred" OR message:"sendmail: stat=Sent" OR message:"sendmail: stat=Failed" OR message:"sendmail: Authentication-Warning*" OR message:"sendmail: STARTTLS" OR message:"sendmail: lost input channel" OR message:"sendmail: queue runner" OR message:"sendmail: rejecting connections" OR message:"sendmail: timeout waiting") AND (type:sendmail OR source:/var/log/mail.log* OR source:/var/log/sendmail.log* OR program:*sendmail*))',
        "Windows Firewall" => '((EventID:2005 AND message:"firewall") OR EventID:2005 AND Severity:INFO AND Channel:"Microsoft-Windows-Windows Firewall With Advanced Security/Firewall") OR (EventID:(2006 OR 2033) AND Severity:INFO AND Channel:"Microsoft-Windows-Windows Firewall With Advanced Security/Firewall") OR (EventID:2009 AND Severity:ERROR AND Channel:"Microsoft-Windows-Windows Firewall With Advanced Security/Firewall") OR (EventID:2004 AND Severity:INFO AND Channel:"Microsoft-Windows-Windows Firewall With Advanced Security/Firewall") OR (EventID:4946 AND message:"added") OR (EventID:4947 AND message:"modified") OR (EventID:4950 AND message:"changed") OR (EventID:4954 AND message:"changed") OR (EventID:5025 AND message:"stopped") OR (EventID:5031 AND message:"blocked")',
        "MySQL Errors" => 'program:*mysqld* OR (program:*mysqld* AND message:*error*)',
        "Network Outages" => '((EventID:4000 AND message:"DNS") OR (EventID:5719 AND (message:"logon" OR message:"network")) OR (EventID:1129 AND message:"network") OR (EventID:4321 AND message:"Net") OR (EventID:4202 AND message:"update") OR (EventID:4004 AND (message:"dns" OR message:"DNS")) OR (EventID:4016 AND (message:"dns" OR message:"DNS")) OR (EventID:20106 AND message:"interface") OR (EventID:20227 AND message:"VPN") OR (EventID:10400 AND message:"link"))',
        "Windows Updates"=> '((EventID: 17 AND (message:"Windows" OR message:"update")) OR (EventID: 19 AND (message:"Windows" OR message:"update")) OR (EventID: 20 AND (message:"Windows" OR message:"update")) OR (EventID: 24 AND (message:"Windows" OR message:"update")) OR (EventID: 25 AND (message:"Windows" OR message:"update")) OR (EventID: 35 AND (message:"Windows" OR message:"update")))'
    );
?>
